import { createCommands } from '@jolibox/common';
import { canIUse } from './can-i-use';
import { ResponseType } from '@jolibox/types';

const commands = createCommands();
export async function login() {
  if (!canIUse('login')) {
    return {
      code: 'FAILURE' as ResponseType,
      message: '[Jolibox SDK]login is not supported in this platform'
    };
  }
  return await commands.executeCommand('API.login');
}

export async function checkSession() {
  if (!canIUse('checkSession')) {
    return {
      code: 'FAILURE' as ResponseType,
      message: '[Jolibox SDK]checkSession is not supported in this platform'
    };
  }
  return await commands.executeCommand('API.checkSession');
}
